#ifndef _xindigomatshader_H_
#define _xindigomatshader_H_

enum
{
	CINDIGO_MAT_PREVIEW		= 7000,
	CINDIGO_INDIGO_HEADER	= 7267,
	
	INDIGO_SHADER_ALPHA	= 7002,
	INDIGO_SHADER_ALBEDO	= 7003,
	INDIGO_SHADER_PHONG	= 7004,
	INDIGO_SHADER_BUMP	= 7005,
	INDIGO_SHADER_DISPLACEMENT	= 7006,
	INDIGO_SHADER_EMISSION	= 7007,
	INDIGO_SHADER_EXPONENT	= 7008,
	INDIGO_SHADER_SIGMA	= 7009,
	INDIGO_SHADER_MEDIUM	= 7010,
	INDIGO_SHADER_SPECULAR	= 7011,
	INDIGO_SHADER_ABSORPTION_LAYER	= 7280,

	ID_INDIGO_ALPHA	= 7013,
	ID_INDIGO_ALBEDO	= 7015,
	ID_INDIGO_PHONG	= 7016,
	ID_INDIGO_BUMP	= 7017,
	ID_INDIGO_DISPLACEMENT	= 7018,
	ID_INDIGO_EMISSION	= 7019,
	ID_INDIGO_EXPONENT	= 7020,
	ID_INDIGO_SIGMA	= 7021,
	ID_INDIGO_MEDIUM	= 7022,
	ID_INDIGO_SPECULAR	= 7023,
	ID_INDIGO_ABSORPTION_LAYER	= 7279,

	//WAVELENGHT TYPE, SPECTRUM TYPES
	INDIGO_SPECTRUM_TYPE_RGB		= 7104,
	INDIGO_SPECTRUM_TYPE_BLACKBODY	= 7105,
	INDIGO_SPECTRUM_TYPE_PEAK		= 7106,
	INDIGO_SPECTRUM_TYPE_UNIFORM	= 7107,
	INDIGO_SPECTRUM_TYPE_REALTAB	= 7108,

	//MAIN
	INDIGO_MATERIAL_TYPE	= 7024,
		INDIGO_MATERIAL_TYPE_DIFFUSE	= 7025,
		INDIGO_MATERIAL_TYPE_ORENNAYAR	= 7026,
		INDIGO_MATERIAL_TYPE_PHONG	= 7027,
		INDIGO_MATERIAL_TYPE_DIFFUSETRANSM	= 7028,
		INDIGO_MATERIAL_TYPE_SPECULAR	= 7029,
		INDIGO_MATERIAL_TYPE_BLEND	= 7030,
		INDIGO_MATERIAL_TYPE_GLOSSY	= 7031,
		INDIGO_MATERIAL_TYPE_NULL	= 7262,

	//ALBEDO
	INDIGO_ALBEDO_SPECTRUM_RGB			= 7114,
	INDIGO_ALBEDO_SPECTRUM_RGB_GAIN		= 7081,
	INDIGO_ALBEDO_SPECTRUM_RGB_GAMMA	= 7115,

	INDIGO_ALBEDO_TEXTURE		= 7118,
	INDIGO_ALBEDO_TEXTURE_EXP	= 7119,
	INDIGO_ALBEDO_TEXTURE_A		= 7120,
	INDIGO_ALBEDO_TEXTURE_B		= 7121,
	INDIGO_ALBEDO_TEXTURE_C		= 7122,

	//PHONG
	INDIGO_PHONG_IOR			= 7038,
	INDIGO_PHONG_USE_SPEC_REFL	= 7039,
	INDIGO_PHONG_USE_NKDATA		= 7144,
	INDIGO_PHONG_NKDATA			= 7145,
	INDIGO_PHONG_NO_NK_GROUP	= 7146,

	//EXPONENT
	INDIGO_EXPONENT_CONSTANT	= 7040,

	INDIGO_EXPONENT_TEXTURE		= 7200,
	INDIGO_EXPONENT_TEXTURE_EXP	= 7201,
	INDIGO_EXPONENT_TEXTURE_A	= 7202,
	INDIGO_EXPONENT_TEXTURE_B	= 7203,
	INDIGO_EXPONENT_TEXTURE_C	= 7204,

	//MEDIUM
	INDIGO_MEDIUM_TYPE				= 7041,
	INDIGO_MEDIUM_TYPE_BASIC		= 7042,
	INDIGO_MEDIUM_TYPE_DERMIS		= 7043,
	INDIGO_MEDIUM_TYPE_EPIDERMIS	= 7044,

	INDIGO_MEDIUM_PRECEDENCE	= 7045,
	INDIGO_MEDIUM_IOR			= 7046,
	INDIGO_MEDIUM_CAUCHY_B		= 7047,

	INDIGO_MEDIUM_SSS			= 7048,

	INDIGO_MEDIUM_TYPE_BASIC_GROUP		= 7123,
	INDIGO_MEDIUM_TYPE_DERMIS_GROUP		= 7124,
	INDIGO_MEDIUM_TYPE_EPIDERMIS_GROUP	= 7125,

	INDIGO_HEMOGLOBIN_FRACTION	= 7126,
	INDIGO_MELANIN_FRACTION		= 7127,
	INDIGO_MELANIN_TYPE_BLEND	= 7128,

	INDIGO_ABSORPTION_SPECTRUM_TYPE			= 7210,

	INDIGO_ABSORPTION_SPECTRUM_GROUP_RGB		= 7211,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_BLACKBODY	= 7212,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_PEAK		= 7213,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_UNIFORM	= 7214,
	INDIGO_ABSORPTION_SPECTRUM_GROUP_REALTAB	= 7215,

	INDIGO_MEDIUM_ABSORPTION_RGB		= 7129,
	INDIGO_MEDIUM_ABSORPTION_RGB_GAMMA	= 7130,
	INDIGO_MEDIUM_ABSORPTION_RGB_GAIN	= 7216,

	INDIGO_MEDIUM_ABSORPTION_BLACKBODY_TEMP	= 7224,
	INDIGO_MEDIUM_ABSORPTION_BLACKBODY_GAIN	= 7225,

	INDIGO_MEDIUM_ABSORPTION_UNIFORM		= 7228,

	INDIGO_MEDIUM_ABSORPTION_REALTAB_STARTWL	= 7230,
	INDIGO_MEDIUM_ABSORPTION_REALTAB_ENDWL		= 7231,
	INDIGO_MEDIUM_ABSORPTION_REALTAB_VALUES		= 7232,
	INDIGO_MEDIUM_ABSORPTION_REALTAB_NUMVALUES	= 7233,

	INDIGO_MEDIUM_ABSORPTION_PEAK_MIN		= 7246,
	INDIGO_MEDIUM_ABSORPTION_PEAK_WIDTH		= 7247,
	INDIGO_MEDIUM_ABSORPTION_PEAK_BASEVALUE	= 7248,
	INDIGO_MEDIUM_ABSORPTION_PEAK_VALUE		= 7249,

	INDIGO_MEDIUM_SSS_GROUP					= 7132,

	INDIGO_SCATTERING_SPECTRUM_TYPE			= 7217,

	INDIGO_SCATTERING_SPECTRUM_GROUP_RGB		= 7218,
	INDIGO_SCATTERING_SPECTRUM_GROUP_BLACKBODY	= 7219,
	INDIGO_SCATTERING_SPECTRUM_GROUP_PEAK		= 7220,
	INDIGO_SCATTERING_SPECTRUM_GROUP_UNIFORM	= 7221,
	INDIGO_SCATTERING_SPECTRUM_GROUP_REALTAB	= 7222,

	INDIGO_MEDIUM_SCATTERING_RGB		= 7133,
	INDIGO_MEDIUM_SCATTERING_RGB_GAMMA	= 7134,
	INDIGO_MEDIUM_SCATTERING_RGB_GAIN	= 7223,

	INDIGO_MEDIUM_SCATTERING_BLACKBODY_TEMP	= 7226,
	INDIGO_MEDIUM_SCATTERING_BLACKBODY_GAIN	= 7227,

	INDIGO_MEDIUM_SCATTERING_UNIFORM		= 7229,

	INDIGO_MEDIUM_SCATTERING_REALTAB_STARTWL	= 7234,
	INDIGO_MEDIUM_SCATTERING_REALTAB_ENDWL		= 7235,
	INDIGO_MEDIUM_SCATTERING_REALTAB_VALUES		= 7236,
	INDIGO_MEDIUM_SCATTERING_REALTAB_NUMVALUES	= 7237,

	INDIGO_MEDIUM_SCATTERING_PEAK_MIN		= 7250,
	INDIGO_MEDIUM_SCATTERING_PEAK_WIDTH		= 7251,
	INDIGO_MEDIUM_SCATTERING_PEAK_BASEVALUE	= 7252,
	INDIGO_MEDIUM_SCATTERING_PEAK_VALUE		= 7253,

	INDIGO_MEDIUM_PHASE_FUNCTION_TYPE		= 7136,
	INDIGO_MEDIUM_PHASE_FUNCTION_UNIFORM	= 7137,
	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN	= 7138,

	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN_VECTOR	= 7141,
	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN_GAMMA	= 7142,
	INDIGO_MEDIUM_PHASE_FUNCTION_GREENSTEIN_GROUP	= 7143,

	//SPECULAR
	INDIGO_SPECULAR_TRANSP		= 7049,

	//ALPHA/BLEND
	INDIGO_BLEND_MATERIAL	= 7259,
	INDIGO_BLEND_MATERIAL2	= 7269,
	INDIGO_BLEND_FACTOR		= 7260,
	INDIGO_BLEND_STEP		= 7261,
	
	INDIGO_ALPHA_TEXTURE		= 7052,
	INDIGO_ALPHA_TEXTURE_EXP	= 7053,
	INDIGO_ALPHA_TEXTURE_A		= 7054,
	INDIGO_ALPHA_TEXTURE_B		= 7055,
	INDIGO_ALPHA_TEXTURE_C		= 7056,

	//EMISSION
	INDIGO_BASEEMISSION_SPECTRUM_TYPE				= 7057,

	INDIGO_BASEEMISSION_SPECTRUM_GROUP_RGB			= 7058,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_BLACKBODY	= 7059,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_UNIFORM		= 7238,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_PEAK			= 7239,
	INDIGO_BASEEMISSION_SPECTRUM_GROUP_REALTAB		= 7240,

	INDIGO_BASEEMISSION_SPECTRUM_RGB			= 7060,
	INDIGO_BASEEMISSION_SPECTRUM_RGB_GAIN		= 7089,
	INDIGO_BASEEMISSION_SPECTRUM_RGB_GAMMA		= 7061,

	INDIGO_BASEEMISSION_SPECTRUM_BLACKBODY_TEMP	= 7062,
	INDIGO_BASEEMISSION_SPECTRUM_BLACKBODY_GAIN	= 7063,

	INDIGO_BASEEMISSION_SPECTRUM_UNIFORM		= 7245,

	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_STARTWL	= 7241,
	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_ENDWL		= 7242,
	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_VALUES		= 7243,
	INDIGO_BASEEMISSION_SPECTRUM_REALTAB_NUMVALUES	= 7244,

	INDIGO_BASEEMISSION_SPECTRUM_PEAK_MIN		= 7254,
	INDIGO_BASEEMISSION_SPECTRUM_PEAK_WIDTH		= 7255,
	INDIGO_BASEEMISSION_SPECTRUM_PEAK_BASEVALUE	= 7256,
	INDIGO_BASEEMISSION_SPECTRUM_PEAK_VALUE		= 7257,

	INDIGO_BASEEMISSION_SCALE			= 7080,
	INDIGO_BASEEMISSION_SCALE_GROUP		= 7082,
	INDIGO_BASEEMISSION_SCALE_MEASURE	= 7083,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINOUS_FLUX			= 7084,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINOUS_INTENSITY	= 7085,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINANCE				= 7086,
	INDIGO_BASEEMISSION_SCALE_MEASURE_LUMINOUS_EMITTANCE	= 7087,
	INDIGO_BASEEMISSION_SCALE_VALUE		= 7088,

	INDIGO_BASEEMISSION_USE_IES			= 7281,
	INDIGO_BASEEMISSION_IES_PROFILE		= 7282,

	INDIGO_LIGHT_LAYER	= 7090,

	INDIGO_EMISSION_TEXTURE			= 7064,
	INDIGO_EMISSION_TEXTURE_EXP		= 7065,
	INDIGO_EMISSION_TEXTURE_A		= 7066,
	INDIGO_EMISSION_TEXTURE_B		= 7067,
	INDIGO_EMISSION_TEXTURE_C		= 7068,

	//BUMP
	INDIGO_BUMP_TEXTURE			= 7069,
	INDIGO_BUMP_TEXTURE_EXP		= 7070,
	INDIGO_BUMP_TEXTURE_A		= 7071,
	INDIGO_BUMP_TEXTURE_B		= 7072,
	INDIGO_BUMP_TEXTURE_C		= 7073,

	//DISPLACEMENT
	INDIGO_DISPLACEMENT_TEXTURE			= 7074,
	INDIGO_DISPLACEMENT_TEXTURE_EXP		= 7075,
	INDIGO_DISPLACEMENT_TEXTURE_A		= 7076,
	INDIGO_DISPLACEMENT_TEXTURE_B		= 7077,
	INDIGO_DISPLACEMENT_TEXTURE_C		= 7078,

	//SIGMA
	INDIGO_SIGMA_CONSTANT		= 7079,

	INDIGO_SIGMA_TEXTURE		= 7205,
	INDIGO_SIGMA_TEXTURE_EXP	= 7206,
	INDIGO_SIGMA_TEXTURE_A		= 7207,
	INDIGO_SIGMA_TEXTURE_B		= 7208,
	INDIGO_SIGMA_TEXTURE_C		= 7209,

	//ABSORPTION_LAYER
	INDIGO_ABSORPTION_LAYER_SPECTRUM_RGB			= 7271,
	INDIGO_ABSORPTION_LAYER_SPECTRUM_RGB_GAIN		= 7272,
	INDIGO_ABSORPTION_LAYER_SPECTRUM_RGB_GAMMA		= 7273,

	INDIGO_ABSORPTION_LAYER_TEXTURE			= 7274,
	INDIGO_ABSORPTION_LAYER_TEXTURE_EXP		= 7275,
	INDIGO_ABSORPTION_LAYER_TEXTURE_A		= 7276,
	INDIGO_ABSORPTION_LAYER_TEXTURE_B		= 7277,
	INDIGO_ABSORPTION_LAYER_TEXTURE_C		= 7278,
};

#endif